!=========================================================================
! Copyright (C) GemTalk Systems 1986-2015.  All Rights Reserved.
!
! $Id: FailedMessage.gs 38145 2015-11-30 19:55:10Z lalmarod $
!
!=========================================================================

removeallmethods FailedMessage
removeallclassmethods FailedMessage

category: 'For Documentation Installation only'
classmethod: FailedMessage
installDocumentation

| doc txt |
doc := GsClassDocumentation newForClass: self.

txt := (GsDocText new) details:
'This protocol describes the behavior of objects that represent a message 
that was sent to an object, but was not understood by that object.'.
doc documentClassWith: txt.

self description: doc.
%

category: 'accessors'
method: FailedMessage
arguments

	^arguments.
%

category: 'accessors'
method: FailedMessage
arguments: anArray

	arguments := anArray.
%

category: 'accessors'
method: FailedMessage
selector

	^selector.
%

category: 'accessors'
method: FailedMessage
selector: aSymbol

	selector := aSymbol.
%
