!=========================================================================
! Copyright (C) GemTalk Systems 2006-2015.  All Rights Reserved.

! methods in class Segment that are disallowed 
! this file comes after conversion of old instances of Segment

set class Segment

category: 'Instance Creation'
classmethod
new

"Disallowed.  To create a new Segment, use newInRepository: instead."

self shouldNotImplement: #new
%

category: 'Updating'
method
_changeToSegment: aSegment

"Disallowed"

self shouldNotImplement: #_changeToSegment: 
%

method
instVarAt: offset put: aValue
"Disallowed"
self shouldNotImplement: #instVarAt:put:
%

method
nilFields
"Disallowed"
self shouldNotImplement: #nilFields
%

method
_primitiveAt: offset put: aValue
"Disallowed"
self shouldNotImplement: #_primitiveAt:put:
%

category: 'Copying'
method
copy

"Disallowed."

self shouldNotImplement: #copy
%

category: 'Storing and Loading'

method
basicLoadFrom: passiveObj
"Disallowed."
self shouldNotImplement: #basicLoadFrom:
%

method
basicLoadFrom: passiveObj size: aSize
"Disallowed"
self shouldNotImplement: #basicLoadFrom:size:
%

method
basicLoadFromNoRead: passiveObj
"Disallowed"
self shouldNotImplement: #basicLoadFromNoRead:
%

method
basicLoadFromNoRead: passiveObj size: aSize
"Disallowed"
self shouldNotImplement: #basicLoadFromNoRead:size:
%

method
basicLoadFromOld: passiveObj
"Disallowed"
self shouldNotImplement: #basicLoadFromOld:
%

method
loadFrom: passiveObj
"Disallowed"
self shouldNotImplement: #loadFrom:
%

method
loadNamedIVsFrom: passiveObj
"Disallowed"
self shouldNotImplement: #loadNamedIVsFrom:
%

method
loadVaryingFrom: passiveObj
"Disallowed"
self shouldNotImplement: #loadVaryingFrom:
%

method
loadVaryingFrom: passiveObj size: aSize
"Disallowed"
self shouldNotImplement: #loadVaryingFrom:size:
%

category: 'Instance migration'

method
become: anObj
"Disallowed"
self shouldNotImplement: #become:
%

method
_become: anObject fullChecks: aBoolean
"Disallowed"
self shouldNotImplement: #_become:fullChecks:
%
method

_primitiveBecome: anObj
"Disallowed"
self shouldNotImplement: #_primitiveBecome:
%

method
migrate
"Disallowed" 
self shouldNotImplement: #migrate
%

method
migrateFrom: anObj
"Disallowed" 
self shouldNotImplement: #migrateFrom:
%

method
migrateFrom: anObj instVarMap: aDict
"Disallowed"
self shouldNotImplement: #migrateFrom:instVarMap:
%

method
migrateIndexable: anObj myClass: aCls otherClass: secondCls
"Disallowed"
self shouldNotImplement: #migrateIndexable:myClass:otherClass:
%

method
changeClassTo: aCls
"Disallowed"
self shouldNotImplement: #changeClassTo:
%

