!=========================================================================
! Copyright (C) GemTalk Systems 1986-2015.  All Rights Reserved.
!
! $Id: stringpairset.gs 38145 2015-11-30 19:55:10Z lalmarod $
!
! Superclass Hierarchy:
!   StringPairSet, IdentitySet, IdentityBag, UnorderedCollection, 
!    Collection, Object.
!
!=========================================================================

expectvalue %String
run
IdentitySet _newKernelSubclass: 'StringPairSet'
  instVarNames: #()
  classVars: #()
  classInstVars: #()
  poolDictionaries: #[]
  inDictionary: Globals
  constraints: StringPair
  instancesInvariant: false
  isModifiable: false
  reservedOop: 739
%

removeallmethods StringPairSet
removeallclassmethods StringPairSet

category: 'For Documentation Installation only'
classmethod: StringPairSet
installDocumentation

| doc txt |
doc := GsClassDocumentation newForClass: self.

txt := (GsDocText new) details:
'A StringPairSet is an IdentitySet that contains only StringPair objects.'.
doc documentClassWith: txt.

self description: doc.
%

! ------------------- Class methods for StringPairSet
! ------------------- Instance methods for StringPairSet
category: 'Sorting'
method: StringPairSet
sortAscending

"Returns an Array of the contents of the receiver sorted
 by key in ascending order."

^ self _sortPaths: #(#key) directions: #(true).
%

