!=========================================================================
! Copyright (C) GemTalk Systems 1986-2015.  All Rights Reserved.
!
! $Id: variablecon.gs 38145 2015-11-30 19:55:10Z lalmarod $
!
! Superclass Hierarchy:
!   VariableContext, Object.
!
!=========================================================================

removeallmethods VariableContext
removeallclassmethods VariableContext

category: 'For Documentation Installation only'
classmethod: VariableContext
installDocumentation

| doc |
doc := GsClassDocumentation _newForPrivateGsClass: self.

doc documentClassWith: (GsDocText new).

self description: doc.
%

category: 'Copying'
method: VariableContext
copy

"Disallowed."

self shouldNotImplement: #copy
%

category: 'Instance Creation'
classmethod: VariableContext
new

"Disallowed."

self shouldNotImplement: #new
%

! fix 6585
category: 'Instance Creation'
classmethod: VariableContext
new: aSize

"Disallowed."

self shouldNotImplement: #new:
%

category: 'Updating'
method: VariableContext
at: anIndex put: aValue

"Disallowed."

self shouldNotImplement: #at:put:
%

category: 'Updating'
method: VariableContext
size: anInteger

"Disallowed."

self shouldNotImplement: #size:
%

